// BaseView.h 
// Copyright ЃACrX http://www.ibis.ne.jp/
//          _Jh kamiya@ibis.ne.jp
// ŁF2002/4/19
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BASEVIEW_H__1E96B952_4B77_43FD_97A7_CCA5BAC00824__INCLUDED_)
#define AFX_BASEVIEW_H__1E96B952_4B77_43FD_97A7_CCA5BAC00824__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Vector2d.h"
#include "Vector.h"

class CBaseView : public CView
{
private:
	int m_nScene; //V[ԍ
	char m_szSceneName[256];
protected:
	DECLARE_DYNCREATE(CBaseView)
	//RXgN^
	CBaseView();
	//fXgN^
	virtual ~CBaseView();
	//V[
	void Draw00( CDC* pDC, double dTick, bool bInit );
	void Draw01( CDC* pDC, double dTick, bool bInit );
	void Draw02( CDC* pDC, double dTick, bool bInit );
	void Draw03( CDC* pDC, double dTick, bool bInit );
	void Draw04( CDC* pDC, double dTick, bool bInit );
	void Draw05( CDC* pDC, double dTick, bool bInit );
	void Draw06( CDC* pDC, double dTick, bool bInit );
	void Draw07( CDC* pDC, double dTick, bool bInit );
	void Draw08( CDC* pDC, double dTick, bool bInit );
	void Draw09( CDC* pDC, double dTick, bool bInit );
	void Draw10( CDC* pDC, double dTick, bool bInit );
	//ÿړ
	void MoveTo( CDC* pDC, double x, double y );
	void MoveTo(CDC* pDC, CVector2d v );
	void MoveTo(CDC* pDC, CVector v );
	//̕`
	void LineTo( CDC* pDC, double x, double y );
	void LineTo(CDC* pDC, CVector2d v );
	void LineTo(CDC* pDC, CVector v );
	//Wnϊ
	CPoint ConvertCoord( double x, double y );
public:
	CBaseDoc* GetDocument();

	//{{AFX_VIRTUAL(CBaseView)
	public:
	virtual void OnDraw(CDC* pDC); 
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL
public:
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
protected:
	//{{AFX_MSG(CBaseView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // BaseView.cpp t@CfobO̎gp܂B
inline CBaseDoc* CBaseView::GetDocument()
   { return (CBaseDoc*)m_pDocument; }
#endif
/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}
#endif // !defined(AFX_BASEVIEW_H__1E96B952_4B77_43FD_97A7_CCA5BAC00824__INCLUDED_)
